Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id
Class SequenceIdentityGenerator.NoCommentsInsert

    java.lang.Object
      org.hibernate.sql.Insert
          org.hibernate.id.insert.IdentifierGeneratingInsert
              org.hibernate.id.SequenceIdentityGenerator.NoCommentsInsert

Enclosing class:
  SequenceIdentityGenerator

    public static class SequenceIdentityGenerator.NoCommentsInsert

extends IdentifierGeneratingInsert

Constructor Summary
`SequenceIdentityGenerator.NoCommentsInsert(Dialect dialect)`

Method Summary
`Insert` | `setComment(String comment)`

Methods inherited from class org.hibernate.sql.Insert
`addColumn, addColumn, addColumn, addColumns, addColumns, addColumns, addIdentityColumn, getDialect, setTableName, toStatementString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceIdentityGenerator.NoCommentsInsert

    public SequenceIdentityGenerator.NoCommentsInsert(Dialect dialect)

Method Detail

### setComment

    public Insert setComment(String comment)

  Overrides:
    `setComment` in class `Insert`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.